Subject: Re: 5.2.3.16. Key server preferences

From: [email-masked]
Date: Wed, 5 Apr 2000 10:13:16 -0700

Another thing the keyservers should allow is importing a key revocation
packet even if the sender is not able to authenticate himself as knowing
the private key.  We used to recommend making a key revocation packet at
creation time so that the key could be revoked even if the passphrase
is forgotten.  It would be important for the server to accept the key
revocation in this circumstance.

(You could argue that since the key revocation packet is signed by the
key, that is proof that it comes from the key holder and hence should
be accepted under a straighforward reading of the rfc.  But then that
would imply that all self-sigs from the key holder should be added,
and that might not always be his intention.)

Hal